Create delivery
curl --request POST \
--url https://public-api.ibana.io/v1/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliveryNumber": "247000-08",
"purchaseOrderId": "1234567890",
"externalId": "1234567890",
"deliveryDate": "2024-06-21",
"lineItems": [
{
"externalId": "1234567890",
"productCode": "1234567890",
"title": "Product Title",
"unit": "1234567890",
"quantity": 1,
"unitPrice": 1,
"pricePerQuantity": 100,
"totalPrice": 100,
"discount": 5,
"taxRate": 20,
"taxAmount": 150
}
]
}
'import requests
url = "https://public-api.ibana.io/v1/delivery"
payload = {
"deliveryNumber": "247000-08",
"purchaseOrderId": "1234567890",
"externalId": "1234567890",
"deliveryDate": "2024-06-21",
"lineItems": [
{
"externalId": "1234567890",
"productCode": "1234567890",
"title": "Product Title",
"unit": "1234567890",
"quantity": 1,
"unitPrice": 1,
"pricePerQuantity": 100,
"totalPrice": 100,
"discount": 5,
"taxRate": 20,
"taxAmount": 150
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deliveryNumber: '247000-08',
purchaseOrderId: '1234567890',
externalId: '1234567890',
deliveryDate: '2024-06-21',
lineItems: [
{
externalId: '1234567890',
productCode: '1234567890',
title: 'Product Title',
unit: '1234567890',
quantity: 1,
unitPrice: 1,
pricePerQuantity: 100,
totalPrice: 100,
discount: 5,
taxRate: 20,
taxAmount: 150
}
]
})
};
fetch('https://public-api.ibana.io/v1/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deliveryNumber": "<string>",
"externalId": "<string>",
"deliveryDate": "2023-11-07T05:31:56Z",
"purchaseOrder": {
"currency": "<string>",
"counterpartyId": "<string>",
"counterpartyName": "<string>",
"totalOrderAmount": 123,
"totalInvoicedAmount": 123,
"totalLineItems": 123,
"fullyInvoicedLineItemsCount": 123,
"fullyDeliveredLineItemsCount": 123,
"invoiceCompletionPercentage": 123,
"totalOrderQuantity": 123,
"totalDeliveredQuantity": 123,
"uniqueDeliveriesCount": 123,
"totalInvoicedQuantity": 123,
"uniqueInvoicesCount": 123,
"outstandingInvoiceAmount": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"purchaseOrderNumber": "<string>",
"externalId": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"deliveryDate": "2023-11-07T05:31:56Z",
"counterparty": {
"archivedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"description": "<string>",
"vat": "<string>",
"accountsPayableNumber": "22 0391919",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>",
"paymentTermsDays": 123,
"skontoPercentage": 123,
"skontoDays": 123,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"bankAccount": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"transactions": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"amount": 123,
"remittanceInformation": "<string>",
"requestedExecutionDate": "2023-11-07T05:31:56Z",
"skontoAmount": 123,
"skontoDate": "2023-11-07T05:31:56Z",
"ignoreSkontoDeadline": true,
"express": true,
"creditor": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"debitor": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"analysis": {
"analysisRules": {
"markedOk": true,
"markedOkReason": "<string>",
"markedOkDate": "2023-11-07T05:31:56Z",
"value": "<string>",
"markedOkUser": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"archived": true,
"archivedDate": "2023-11-07T05:31:56Z",
"archivedByUser": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"paymentRun": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"createdByName": "<string>",
"organizationId": "<string>",
"sumAmount": 123,
"sumAmountWithSkonto": 123,
"sumBookedAmount": 123,
"sumAmountEur": 123,
"transactionCount": 123,
"batchBooking": true
},
"counterparty": "<unknown>",
"invoice": {
"id": "<string>",
"invoiceNumber": "<string>",
"status": "<string>",
"totalAmount": 123,
"dueDate": "2023-11-07T05:31:56Z",
"invoiceDate": "2023-11-07T05:31:56Z",
"currency": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedBy": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"apBalance": {
"openInvoiceAmount": 123,
"approvedOpenCreditNoteAmount": 123,
"manualCreditAmount": 123,
"totalAvailableCredit": 123,
"netPayableAmount": 123,
"remainingCreditBalance": 123,
"scheduledBankTransferAmount": 123,
"remainingToScheduleAmount": 123,
"unapprovedCreditNoteAmount": 123,
"appliedInvoiceCreditAmount": 123,
"balancesByCurrency": [
{
"approvedOpenCreditNoteAmount": 123,
"manualCreditAmount": 123,
"totalAvailableCredit": 123,
"appliedInvoiceCreditAmount": 123,
"remainingCreditBalance": 123
}
]
}
},
"lineItems": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"productCode": 123,
"externalId": "<string>",
"title": "<string>",
"summary": "<string>",
"description": "<string>",
"quantity": 123,
"unit": 123,
"unitPrice": 123,
"pricePerQuantity": 123,
"totalPrice": 123,
"discount": 123,
"taxRate": 123,
"taxAmount": 123,
"deliveredQuantity": 123,
"invoicedQuantity": 123,
"invoicedTotalAmount": 123,
"deliveryPercentage": 123,
"invoicedPercentage": 123
}
]
},
"lineItems": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"productCode": 123,
"externalId": "<string>",
"title": "<string>",
"summary": "<string>",
"description": "<string>",
"quantity": 123,
"unit": 123,
"unitPrice": 123,
"pricePerQuantity": 123,
"totalPrice": 123,
"discount": 123,
"taxRate": 123,
"taxAmount": 123,
"purchaseOrderLineItem": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"productCode": 123,
"externalId": "<string>",
"title": "<string>",
"summary": "<string>",
"description": "<string>",
"quantity": 123,
"unit": 123,
"unitPrice": 123,
"pricePerQuantity": 123,
"totalPrice": 123,
"discount": 123,
"taxRate": 123,
"taxAmount": 123,
"deliveredQuantity": 123,
"invoicedQuantity": 123,
"invoicedTotalAmount": 123,
"deliveryPercentage": 123,
"invoicedPercentage": 123
}
}
],
"totalQuantity": 123
}Delivery
Create delivery
Create a new delivery.
POST
/
v1
/
delivery
Create delivery
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The delivery number.
Example:
"247000-08"
The purchase order ID.
Example:
"1234567890"
The external ID of the delivery.
Example:
"1234567890"
The delivery date.
Example:
"2024-06-21"
The line items of the delivery.
Show child attributes
Show child attributes
Response
201 - application/json
The unique identifier of the entity.
The date and time the entity was created.
The date and time the entity was last updated.
The number of the delivery.
The external ID of the delivery.
The date of the delivery.
The purchase order of the delivery.
Show child attributes
Show child attributes
The line items of the delivery.
Show child attributes
Show child attributes
Total quantity delivered across all line items
Was this page helpful?
⌘I

